Help us improve by taking our short survey: https://www.hdfgroup.org/website-survey/

| HDF5 Last Updated on 2025-11-11 The HDF5 Field Guide

- Main Page
- Getting started
- User Guide
- Reference Manual
- Cookbook
- Technical Notes
- RFCs
- Specifications
- Glossary
- Full-Text Search
- About

Loading...
Searching...
No Matches
Functions
VOL Data Mapping Properties
Property Lists (H5P)

## Detailed Description

Empty property class.

## Functions
herr_t | H5Pget_map_iterate_hints (hid_t mapl_id, size_t *key_prefetch_size, size_t *key_alloc_size)
| Set map iteration hints.
herr_t | H5Pset_map_iterate_hints (hid_t mapl_id, size_t key_prefetch_size, size_t key_alloc_size)
| Set map iteration hints.

## Function Documentation

## ◆ H5Pget_map_iterate_hints()

herr_t H5Pget_map_iterate_hints | ( | hid_t | mapl_id,
|  | size_t * | key_prefetch_size,
|  | size_t * | key_alloc_size )

Set map iteration hints.

Parameters

  [in] | mapl_id | Map access property list identifier
  [out] | key_prefetch_size | Pointer to number of keys to prefetch at a time during iteration
  [out] | key_alloc_size | Pointer to the initial size of the buffer allocated to hold prefetched keys

Returns
  Returns a non-negative value if successful; otherwise, returns a negative value.

H5Pget_map_iterate() returns the map iterate hints, `key_prefetch_size` and `key_alloc_size`, as set by H5Pset_map_iterate_hints().

Since
  1.12.0

## ◆ H5Pset_map_iterate_hints()

herr_t H5Pset_map_iterate_hints | ( | hid_t | mapl_id,
|  | size_t | key_prefetch_size,
|  | size_t | key_alloc_size )

Set map iteration hints.

Parameters

  [in] | mapl_id | Map access property list identifier
  [in] | key_prefetch_size | Number of keys to prefetch at a time during iteration
  [in] | key_alloc_size | The initial size of the buffer allocated to hold prefetched keys

Returns
  Returns a non-negative value if successful; otherwise, returns a negative value.

H5Pset_map_iterate_hints() adjusts the behavior of H5Miterate() when prefetching keys for iteration. The `key_prefetch_size` parameter specifies the number of keys to prefetch at a time during iteration. The `key_alloc_size` parameter specifies the initial size of the buffer allocated to hold these prefetched keys. If this buffer is too small it will be reallocated to a larger size, though this may result in an additional I/O.

Since
  1.12.0